## rfone-host 1.0.2

=== CMakeLists.txt ===
#top dir cmake project for libhydrasdr + hydrasdr-tools

cmake_minimum_required(VERSION 3.10)
project (hydrasdr_all)

#provide missing strtoull() for VC11
if(MSVC11)
    add_definitions(-Dstrtoull=_strtoui64)
endif(MSVC11)

add_subdirectory(libhydrasdr)
add_subdirectory(hydrasdr-tools)

########################################################################
# Create uninstall target
########################################################################

configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)


add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Copy Files mingw64 only
########################################################################

if(WIN32 AND MINGW)
 message("copy libusb-1.0.dll")
 configure_file(
     C:\\msys64\\mingw64\\bin\\libusb-1.0.dll
	 ${CMAKE_CURRENT_BINARY_DIR}/hydrasdr-tools/src/libusb-1.0.dll
 COPYONLY)

  message("copy libwinpthread-1.dll")
  configure_file(
     C:\\msys64\\mingw64\\bin\\libwinpthread-1.dll
	 ${CMAKE_CURRENT_BINARY_DIR}/hydrasdr-tools/src/libwinpthread-1.dll
 COPYONLY)
endif()

=== hydrasdr-tools/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013-2025 Benjamin Vernoux
#
# This file is part of HydraSDR (based on HackRF project).
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

cmake_minimum_required(VERSION 3.10)
project(hydrasdr-tools C)
set(MAJOR_VERSION 1)
set(MINOR_VERSION 0)
set(PACKAGE hydrasdr-tools)
set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
set(VERSION ${VERSION_STRING})
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)
set(CMAKE_C_FLAGS_RELEASE "-O2")
set(CMAKE_BUILD_TYPE Release)
add_definitions(-D_FILE_OFFSET_BITS=64)

if(MSVC)
include_directories(getopt)
add_definitions(/D _CRT_SECURE_NO_WARNINGS)
else()
add_definitions(-Wall)
endif()

if(NOT libhydrasdr_SOURCE_DIR)
find_package(LIBHYDRASDR REQUIRED)
include_directories(${LIBHYDRASDR_INCLUDE_DIR})
else()
include_directories(${libhydrasdr_SOURCE_DIR}/src)
endif()

add_subdirectory(src)

########################################################################
# Create uninstall target
########################################################################

if(NOT hydrasdr_all_SOURCE_DIR)
configure_file(
    ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)


add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

########################################################################
# Install udev rules
########################################################################
option(INSTALL_UDEV_RULES "Install udev rules for HydraSDR" OFF)
if (INSTALL_UDEV_RULES)
    install (
        FILES 51-hydrasdr.rules
        DESTINATION "/etc/udev/rules.d"
        COMPONENT "udev"
        )
else (INSTALL_UDEV_RULES)
    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
endif (INSTALL_UDEV_RULES)

=== libhydrasdr/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013-2025 Benjamin Vernoux
#
# This file is part of HydraSDR (based on HackRF project).
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

cmake_minimum_required(VERSION 3.10)
project(libhydrasdr C)
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/src/hydrasdr.h HYDRASDR_H_CONTENTS)

STRING(REGEX MATCH "\#define HYDRASDR_VER_MAJOR[ \t]+([0-9]+)" HYDRASDR_VER_MJ ${HYDRASDR_H_CONTENTS})
STRING(REGEX MATCH "([0-9]+)" HYDRASDR_VER_MJ ${HYDRASDR_VER_MJ})

STRING(REGEX MATCH "\#define HYDRASDR_VER_MINOR[ \t]+([0-9]+)" HYDRASDR_VER_MI ${HYDRASDR_H_CONTENTS})
STRING(REGEX MATCH "([0-9]+)" HYDRASDR_VER_MI ${HYDRASDR_VER_MI})

STRING(REGEX MATCH "\#define HYDRASDR_VER_REVISION[ \t]+([0-9]+)" HYDRASDR_VER_RE ${HYDRASDR_H_CONTENTS})
STRING(REGEX MATCH "([0-9]+)" HYDRASDR_VER_RE ${HYDRASDR_VER_RE})

set(HYDRASDR_VER_MAJOR ${HYDRASDR_VER_MJ})
set(HYDRASDR_VER_MINOR ${HYDRASDR_VER_MI})
set(HYDRASDR_VER_REVISION ${HYDRASDR_VER_RE})

set(PACKAGE libhydrasdr)
set(VERSION_STRING ${HYDRASDR_VER_MAJOR}.${HYDRASDR_VER_MINOR})
set(VERSION ${VERSION_STRING})
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)
set(CMAKE_C_FLAGS_RELEASE "-O3")
set(CMAKE_BUILD_TYPE Release)

if(APPLE)
    set(GR_LIBRARY_DIR "lib")
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
            BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

if(MSVC)
	set(THREADS_USE_PTHREADS_WIN32 true)
else()
	add_definitions(-Wall)

	INCLUDE(TestBigEndian)
	TEST_BIG_ENDIAN(BIGENDIAN)
	if(${BIGENDIAN})
		 add_definitions(-DHYDRASDR_BIG_ENDIAN)
	endif(${BIGENDIAN})
endif()
find_package(USB1 REQUIRED)
find_package(Threads REQUIRED)

include_directories(${LIBUSB_INCLUDE_DIR} ${THREADS_PTHREADS_INCLUDE_DIR})

add_subdirectory(src)

########################################################################
# Create Pkg Config File
########################################################################
FOREACH(inc ${LIBUSB_INCLUDE_DIR})
    LIST(APPEND HYDRASDR_PC_CFLAGS "-I${inc}")
ENDFOREACH(inc)

# use space-separation format for the pc file
STRING(REPLACE ";" " " HYDRASDR_PC_CFLAGS "${HYDRASDR_PC_CFLAGS}")
STRING(REPLACE ";" " " HYDRASDR_PC_LIBS "${HYDRASDR_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
    UNSET(HYDRASDR_PC_CFLAGS)
    UNSET(HYDRASDR_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix \${prefix})
set(libdir \${exec_prefix}/lib${LIB_SUFFIX})
set(includedir \${prefix}/include)

CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/libhydrasdr.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/libhydrasdr.pc
@ONLY)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libhydrasdr.pc
    DESTINATION lib${LIB_SUFFIX}/pkgconfig
)

########################################################################
# Create uninstall target
########################################################################
if(NOT hydrasdr_all_SOURCE_DIR)
configure_file(
    ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

=== hydrasdr-tools/src/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013-2025 Benjamin Vernoux
#
# This file is part of HydraSDR (based on HackRF project).
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")

if(MSVC)
add_library(libgetopt_static STATIC
    ${CMAKE_CURRENT_SOURCE_DIR}/../getopt/getopt.c
)
endif()

add_executable(hydrasdr_gpio hydrasdr_gpio.c)
install(TARGETS hydrasdr_gpio RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hydrasdr_gpiodir hydrasdr_gpiodir.c)
install(TARGETS hydrasdr_gpiodir RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hydrasdr_lib_version hydrasdr_lib_version.c)
install(TARGETS hydrasdr_lib_version RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hydrasdr_si5351c hydrasdr_si5351c.c)
install(TARGETS hydrasdr_si5351c RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hydrasdr_r82x hydrasdr_r82x.c)
install(TARGETS hydrasdr_r82x RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hydrasdr_spiflash hydrasdr_spiflash.c)
install(TARGETS hydrasdr_spiflash RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hydrasdr_calibrate hydrasdr_calibrate.c)
install(TARGETS hydrasdr_calibrate RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hydrasdr_info hydrasdr_info.c)
install(TARGETS hydrasdr_info RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hydrasdr_rx hydrasdr_rx.c)
install(TARGETS hydrasdr_rx RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hydrasdr_reset hydrasdr_reset.c)
install(TARGETS hydrasdr_reset RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hydrasdr_set_rf_port hydrasdr_set_rf_port.c)
install(TARGETS hydrasdr_set_rf_port RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

if(NOT libhydrasdr_SOURCE_DIR)
include_directories(${LIBHYDRASDR_INCLUDE_DIR})
LIST(APPEND TOOLS_LINK_LIBS ${LIBHYDRASDR_LIBRARIES})
else()
LIST(APPEND TOOLS_LINK_LIBS hydrasdr)
endif()

if(MSVC)
LIST(APPEND TOOLS_LINK_LIBS libgetopt_static)
endif()

target_link_libraries(hydrasdr_gpio ${TOOLS_LINK_LIBS})
target_link_libraries(hydrasdr_gpiodir ${TOOLS_LINK_LIBS})
target_link_libraries(hydrasdr_lib_version ${TOOLS_LINK_LIBS})
target_link_libraries(hydrasdr_si5351c ${TOOLS_LINK_LIBS})
target_link_libraries(hydrasdr_r82x ${TOOLS_LINK_LIBS})
target_link_libraries(hydrasdr_spiflash ${TOOLS_LINK_LIBS})
target_link_libraries(hydrasdr_calibrate ${TOOLS_LINK_LIBS})
target_link_libraries(hydrasdr_info ${TOOLS_LINK_LIBS})
target_link_libraries(hydrasdr_rx ${TOOLS_LINK_LIBS})
target_link_libraries(hydrasdr_reset ${TOOLS_LINK_LIBS})
target_link_libraries(hydrasdr_set_rf_port ${TOOLS_LINK_LIBS})

=== libhydrasdr/src/CMakeLists.txt ===
#
# Copyright (c) 2012, Jared Boone <jared@sharebrained.com>
# Copyright (c) 2013, Michael Ossmann <mike@ossmann.com>
# Copyright (c) 2013, Youssef Touil <youssef@airspy.com>
# Copyright (c) 2013-2025, Benjamin Vernoux <bvernoux@hydrasdr.com>
#
# This file is part of HydraSDR (based on AirSpy & HackRF project).
# 
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
# 
#     Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
#     Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the 
# 	documentation and/or other materials provided with the distribution.
#     Neither the name of Great Scott Gadgets nor the names of its contributors may be used to endorse or promote products derived from this software
# 	without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# Based heavily upon the libftdi cmake setup.

# Targets
set(c_sources ${CMAKE_CURRENT_SOURCE_DIR}/hydrasdr.c ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_float.c  ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_int16.c CACHE INTERNAL "List of C sources")
set(c_headers ${CMAKE_CURRENT_SOURCE_DIR}/hydrasdr.h ${CMAKE_CURRENT_SOURCE_DIR}/hydrasdr_commands.h ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_float.h ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_int16.h ${CMAKE_CURRENT_SOURCE_DIR}/filters.h CACHE INTERNAL "List of C headers")

if(MINGW)
    # This gets us DLL resource information when compiling on MinGW.
    if(NOT CMAKE_RC_COMPILER)
        set(CMAKE_RC_COMPILER windres.exe)
    endif()

    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/hydrasdrrc.obj
                       DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/hydrasdr.h
                       COMMAND ${CMAKE_RC_COMPILER}
                            -D GCC_WINDRES
                            -I ${CMAKE_CURRENT_SOURCE_DIR}
                            -I ${CMAKE_CURRENT_BINARY_DIR}
                            -o ${CMAKE_CURRENT_BINARY_DIR}/hydrasdrrc.obj
                            -i ${CMAKE_CURRENT_SOURCE_DIR}/win32/hydrasdr.rc)
    set(HYDRASDR_DLL_SRCS ${CMAKE_CURRENT_BINARY_DIR}/hydrasdrrc.obj)
endif(MINGW)

# Dynamic library
add_library(hydrasdr SHARED ${c_sources} ${HYDRASDR_DLL_SRCS})
set_target_properties(hydrasdr PROPERTIES VERSION ${HYDRASDR_VER_MAJOR}.${HYDRASDR_VER_MINOR}.${HYDRASDR_VER_REVISION})
set_target_properties(hydrasdr PROPERTIES SOVERSION 0)

if( ${WIN32} )
set_target_properties(hydrasdr PROPERTIES
                      RUNTIME_OUTPUT_DIRECTORY_RELEASE ../../hydrasdr-tools/src
                      )
endif( ${WIN32} )

# Static library
add_library(hydrasdr-static STATIC ${c_sources})
if(MSVC)
	set_target_properties(hydrasdr-static PROPERTIES OUTPUT_NAME "hydrasdr_static")
else()
	set_target_properties(hydrasdr-static PROPERTIES OUTPUT_NAME "hydrasdr")
endif()

set_target_properties(hydrasdr PROPERTIES CLEAN_DIRECT_OUTPUT 1)
set_target_properties(hydrasdr-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)

# Dependencies
target_link_libraries(hydrasdr ${LIBUSB_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
   
# For cygwin just force UNIX OFF and WIN32 ON
if( ${CYGWIN} )
  SET(UNIX OFF)
  SET(WIN32 ON)
endif( ${CYGWIN} )

if( ${UNIX} )
   install(TARGETS hydrasdr
           LIBRARY DESTINATION lib${LIB_SUFFIX}
           COMPONENT sharedlibs
           )
   install(TARGETS hydrasdr-static
           ARCHIVE DESTINATION lib${LIB_SUFFIX}
           COMPONENT staticlibs
           )
   install(FILES ${c_headers}
           DESTINATION include/${PROJECT_NAME}
           COMPONENT headers
           )
endif( ${UNIX} )

if( ${WIN32} )
   install(TARGETS hydrasdr
           DESTINATION bin
           COMPONENT sharedlibs
           )
   install(TARGETS hydrasdr-static
           DESTINATION bin
           COMPONENT staticlibs
           )
   install(FILES ${c_headers}
           DESTINATION include/${PROJECT_NAME}
           COMPONENT headers
           )
endif( ${WIN32} )

=== debian/changelog ===
rfone-host (1.0.2-1) experimental; urgency=medium

  * New package (Closes: 1111685)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 13 Oct 2025 20:28:53 -0400

=== debian/control ===
Source: rfone-host
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libusb-1.0-0-dev,
               pkgconf
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.hydrasdr.com
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rfone-host
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rfone-host.git

Package: hydrasdr-tools
Section: comm
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, libhydrasdr0 (= ${binary:Version}), ${misc:Depends}
Description: HF+VHF software defined radio receiver - user runtime
 HydraSDR RFOne is an open source Software Defined Radio that can
 receive 24-1850 MHz.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains some utility applications.
  * hydrasdr_gpio
  * hydrasdr_lib_version
  * hydrasdr_info: probe device and show configuration
  * hydrasdr_rx
  * hydrasdr_calibrate

Package: libhydrasdr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libhydrasdr0 (= ${binary:Version}), ${misc:Depends}
Description: HF+VHF software defined radio receiver - development
 HydraSDR RFOne is an open source Software Defined Radio that can
 receive 24-1850 MHz.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains development files.

Package: libhydrasdr0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: HF+VHF software defined radio receiver - library
 HydraSDR RFOne is an open source Software Defined Radio that can
 receive 24-1850 MHz.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains the shared library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rfone-host-$1.tar.gz%" \
 https://github.com/hydrasdr/rfone_host/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## rfone-host 1.0.3

=== CMakeLists.txt ===
# top dir cmake project for libhydrasdr + hydrasdr-tools

cmake_minimum_required(VERSION 3.10)
project(hydrasdr_all LANGUAGES C HOMEPAGE_URL https://hydrasdr.com/)
set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

if(NOT CMAKE_BUILD_TYPE)
  message(STATUS "Build type not specified: defaulting to Release.")
  set(CMAKE_BUILD_TYPE Release)
endif()

#provide missing strtoull() for VC11
if(MSVC11)
  message("provide missing strtoull() for VC11")
  add_definitions(-Dstrtoull=_strtoui64)
endif(MSVC11)

add_subdirectory(libhydrasdr)
add_subdirectory(hydrasdr-tools)

########################################################################
# Create uninstall target
########################################################################

configure_file(
  ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
  COMMENT "Provide uninstall target"
  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Copy Files mingw64 only
########################################################################

if(WIN32 AND MINGW)
  message("copy libusb-1.0.dll")
  configure_file(
    C:\\msys64\\mingw64\\bin\\libusb-1.0.dll
    ${CMAKE_CURRENT_BINARY_DIR}/hydrasdr-tools/src/libusb-1.0.dll
    COPYONLY)

  message("copy libwinpthread-1.dll")
  configure_file(
    C:\\msys64\\mingw64\\bin\\libwinpthread-1.dll
    ${CMAKE_CURRENT_BINARY_DIR}/hydrasdr-tools/src/libwinpthread-1.dll
    COPYONLY)
endif()

=== hydrasdr-tools/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013-2025 Benjamin Vernoux
#
# This file is part of HydraSDR (based on HackRF project).
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

cmake_minimum_required(VERSION 3.10)
project(hydrasdr-tools LANGUAGES C VERSION 1.0)
include(GNUInstallDirs)
set(MAJOR_VERSION 1)
set(MINOR_VERSION 0)
set(PACKAGE hydrasdr-tools)
set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
set(VERSION ${VERSION_STRING})
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)
add_definitions(-D_FILE_OFFSET_BITS=64)

if(MSVC)
  include_directories(getopt)
  add_definitions(/D _CRT_SECURE_NO_WARNINGS)
else()
  add_definitions(-Wall)
endif()

if(libhydrasdr_SOURCE_DIR)
  if(TARGET hydrasdr)
    add_library(HydraSDR::hydrasdr ALIAS hydrasdr)
  else()
    add_library(HydraSDR::hydrasdr ALIAS hydrasdr_static)
  endif()
elseif(LIBHYDRASDR_INCLUDE_DIR AND LIBHYDRASDR_LIBRARIES
    AND NOT TARGET HydraSDR::hydrasdr)
  add_library(HydraSDR::hydrasdr INTERFACE IMPORTED)
  set_target_properties(
    HydraSDR::hydrasdr
    PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "${LIBHYDRASDR_INCLUDE_DIR}"
    INTERFACE_LINK_LIBRARIES "${LIBHYDRASDR_LIBRARIES}")
else()
  message(STATUS "finding library for hydrasdr-tools")
  find_package(HydraSDR REQUIRED)
endif()

add_subdirectory(src)

########################################################################
# Create uninstall target
########################################################################

if(NOT hydrasdr_all_SOURCE_DIR)
configure_file(
  ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
  COMMENT "Provide hydrasdr-tools uninstall target"
  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

########################################################################
# Install udev rules
########################################################################
option(INSTALL_UDEV_RULES "Install udev rules for HydraSDR" OFF)
if (INSTALL_UDEV_RULES)
  install (
    FILES 51-hydrasdr.rules
    DESTINATION "/etc/udev/rules.d"
    COMPONENT "udev"
  )
else (INSTALL_UDEV_RULES)
  message (STATUS "Udev rules not being installed.")
  message (STATUS "Install them with -DINSTALL_UDEV_RULES=ON")
endif (INSTALL_UDEV_RULES)

=== libhydrasdr/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013-2025 Benjamin Vernoux
#
# This file is part of HydraSDR (based on HackRF project).
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

cmake_minimum_required(VERSION 3.10)
project(libhydrasdr LANGUAGES C)
include(GNUInstallDirs)
include(GenerateExportHeader)

file(READ ${CMAKE_CURRENT_SOURCE_DIR}/src/hydrasdr.h HYDRASDR_H_CONTENTS)

STRING(REGEX MATCH "\#define HYDRASDR_VER_MAJOR[ \t]+([0-9]+)"
  HYDRASDR_VER_MJ ${HYDRASDR_H_CONTENTS})
STRING(REGEX MATCH "([0-9]+)" HYDRASDR_VER_MJ ${HYDRASDR_VER_MJ})

STRING(REGEX MATCH "\#define HYDRASDR_VER_MINOR[ \t]+([0-9]+)"
  HYDRASDR_VER_MI ${HYDRASDR_H_CONTENTS})
STRING(REGEX MATCH "([0-9]+)" HYDRASDR_VER_MI ${HYDRASDR_VER_MI})

STRING(REGEX MATCH "\#define HYDRASDR_VER_REVISION[ \t]+([0-9]+)"
  HYDRASDR_VER_RE ${HYDRASDR_H_CONTENTS})
STRING(REGEX MATCH "([0-9]+)" HYDRASDR_VER_RE ${HYDRASDR_VER_RE})

set(HYDRASDR_VER_MAJOR ${HYDRASDR_VER_MJ})
set(HYDRASDR_VER_MINOR ${HYDRASDR_VER_MI})
set(HYDRASDR_VER_REVISION ${HYDRASDR_VER_RE})

set(VERSION_STRING ${HYDRASDR_VER_MAJOR}.${HYDRASDR_VER_MINOR})
set(VERSION ${VERSION_STRING})
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)

if(APPLE)
  set(GR_LIBRARY_DIR "lib")
  if(NOT CMAKE_INSTALL_NAME_DIR)
    set(CMAKE_INSTALL_NAME_DIR
      ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
      PATH "Library Install Name Destination Directory" FORCE)
  endif(NOT CMAKE_INSTALL_NAME_DIR)
  if(NOT CMAKE_INSTALL_RPATH)
    set(CMAKE_INSTALL_RPATH
      ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
      PATH "Library Install RPath" FORCE)
  endif(NOT CMAKE_INSTALL_RPATH)
  if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
    set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
      BOOL "Do Build Using Library Install RPath" FORCE)
  endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

if(MSVC)
  set(THREADS_USE_PTHREADS_WIN32 true)
else()
  add_definitions(-Wall)

  include(TestBigEndian)
  TEST_BIG_ENDIAN(BIGENDIAN)
  if(${BIGENDIAN})
    add_definitions(-DHYDRASDR_BIG_ENDIAN)
  endif(${BIGENDIAN})
endif()

find_package(LIBUSB REQUIRED)
find_package(Threads REQUIRED)

add_subdirectory(src)

########################################################################
# Create Cmake Config-file package interface
########################################################################
include(CMakePackageConfigHelpers)
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/HydraSDR/HydraSDRConfigVersion.cmake"
  VERSION ${VERSION_STRING}
  COMPATIBILITY AnyNewerVersion
)

export(EXPORT HydraSDRTargets
  FILE "${CMAKE_CURRENT_BINARY_DIR}/HydraSDR/HydraSDRTargets.cmake"
  NAMESPACE HydraSDR::
)
configure_file(HydraSDRConfig.cmake
  "${CMAKE_CURRENT_BINARY_DIR}/HydraSDR/HydraSDRConfig.cmake"
  COPYONLY
)

set(CONFIG_PACKAGE_LOCATION ${CMAKE_INSTALL_LIBDIR}/cmake/HydraSDR)
install(EXPORT HydraSDRTargets
  FILE
    HydraSDRTargets.cmake
  NAMESPACE
    HydraSDR::
  DESTINATION
    ${CONFIG_PACKAGE_LOCATION}
)
install(
  FILES
    HydraSDRConfig.cmake
    ../cmake/modules/FindLIBUSB.cmake
    "${CMAKE_CURRENT_BINARY_DIR}/HydraSDR/HydraSDRConfigVersion.cmake"
  DESTINATION
    ${CONFIG_PACKAGE_LOCATION}
  COMPONENT
    Devel
)

########################################################################
# Create Pkg Config File
########################################################################
FOREACH(inc ${LIBUSB_INCLUDE_DIR})
  LIST(APPEND HYDRASDR_PC_CFLAGS "-I${inc}")
ENDFOREACH(inc)

# use space-separation format for the pc file
STRING(REPLACE ";" " " HYDRASDR_PC_CFLAGS "${HYDRASDR_PC_CFLAGS}")
STRING(REPLACE ";" " " HYDRASDR_PC_LIBS "${HYDRASDR_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
  UNSET(HYDRASDR_PC_CFLAGS)
  UNSET(HYDRASDR_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix \${prefix})
set(libdir \${exec_prefix}/lib${LIB_SUFFIX})
set(includedir \${prefix}/include)

CONFIGURE_FILE(
  ${CMAKE_CURRENT_SOURCE_DIR}/libhydrasdr.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/libhydrasdr.pc
@ONLY)

INSTALL(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/libhydrasdr.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

########################################################################
# Create uninstall target
########################################################################
if(NOT hydrasdr_all_SOURCE_DIR)
configure_file(
  ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
  COMMENT "Provide libhydrasdr uninstall target"
  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

=== hydrasdr-tools/src/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013-2025 Benjamin Vernoux
#
# This file is part of HydraSDR (based on HackRF project).
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

if(TARGET HydraSDR::hydrasdr)
  list(APPEND TOOLS_LINK_LIBS HydraSDR::hydrasdr)
else()
  list(APPEND TOOLS_LINK_LIBS HydraSDR::hydrasdr_static)
endif()

if(MSVC)
  add_library(libgetopt_static STATIC
    ${CMAKE_CURRENT_SOURCE_DIR}/../getopt/getopt.c)
  list(APPEND TOOLS_LINK_LIBS libgetopt_static)
endif()

add_executable(hydrasdr_gpio hydrasdr_gpio.c)
target_link_libraries(hydrasdr_gpio ${TOOLS_LINK_LIBS})
install(TARGETS hydrasdr_gpio RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(hydrasdr_gpiodir hydrasdr_gpiodir.c)
target_link_libraries(hydrasdr_gpiodir ${TOOLS_LINK_LIBS})
install(TARGETS hydrasdr_gpiodir RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(hydrasdr_lib_version hydrasdr_lib_version.c)
target_link_libraries(hydrasdr_lib_version ${TOOLS_LINK_LIBS})
install(TARGETS hydrasdr_lib_version
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(hydrasdr_si5351c hydrasdr_si5351c.c)
target_link_libraries(hydrasdr_si5351c ${TOOLS_LINK_LIBS})
install(TARGETS hydrasdr_si5351c RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(hydrasdr_r82x hydrasdr_r82x.c)
target_link_libraries(hydrasdr_r82x ${TOOLS_LINK_LIBS})
install(TARGETS hydrasdr_r82x RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(hydrasdr_spiflash hydrasdr_spiflash.c)
target_link_libraries(hydrasdr_spiflash ${TOOLS_LINK_LIBS})
install(TARGETS hydrasdr_spiflash RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(hydrasdr_calibrate hydrasdr_calibrate.c)
target_link_libraries(hydrasdr_calibrate ${TOOLS_LINK_LIBS})
install(TARGETS hydrasdr_calibrate RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(hydrasdr_info hydrasdr_info.c)
target_link_libraries(hydrasdr_info ${TOOLS_LINK_LIBS})
install(TARGETS hydrasdr_info RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(hydrasdr_rx hydrasdr_rx.c)
target_link_libraries(hydrasdr_rx ${TOOLS_LINK_LIBS})
install(TARGETS hydrasdr_rx RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(hydrasdr_reset hydrasdr_reset.c)
target_link_libraries(hydrasdr_reset ${TOOLS_LINK_LIBS})
install(TARGETS hydrasdr_reset RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(hydrasdr_set_rf_port hydrasdr_set_rf_port.c)
target_link_libraries(hydrasdr_set_rf_port ${TOOLS_LINK_LIBS})
install(TARGETS hydrasdr_set_rf_port
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== libhydrasdr/src/CMakeLists.txt ===
# Copyright (c) 2012, Jared Boone <jared@sharebrained.com>
# Copyright (c) 2013, Michael Ossmann <mike@ossmann.com>
# Copyright (c) 2013, Youssef Touil <youssef@airspy.com>
# Copyright (c) 2013-2025, Benjamin Vernoux <bvernoux@hydrasdr.com>
#
# This file is part of HydraSDR (based on AirSpy & HackRF project).
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following
# disclaimer. Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the ocumentation and/or other materials provided with
# the distribution. Neither the name of Great Scott Gadgets nor the
# names of its contributors may be used to endorse or promote products
# derived from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
# COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.

option(ENABLE_STATIC_LIB "Build and Install libhydrasdr.a static library" ON)
option(ENABLE_SHARED_LIB "Build and Install libhydrasdr.so shared library" ON)
option(
  DISABLE_USB_DEVICE_DISCOVERY
  "Prevent libusb from trying to enumerate devices. Useful on non-root android"
  ANDROID)

# Targets
set(_C_SOURCES_
  ${CMAKE_CURRENT_SOURCE_DIR}/hydrasdr.c
  ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_float.c
  ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_int16.c
  CACHE INTERNAL "List of C sources")
set(_C_HEADERS_
  ${CMAKE_CURRENT_SOURCE_DIR}/hydrasdr.h
  ${CMAKE_CURRENT_SOURCE_DIR}/hydrasdr_commands.h
  ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_float.h
  ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_int16.h
  ${CMAKE_CURRENT_SOURCE_DIR}/filters.h
  CACHE INTERNAL "List of C headers")

# For cygwin just force UNIX OFF and WIN32 ON
if( ${CYGWIN} )
  SET(UNIX OFF)
  SET(WIN32 ON)
endif( ${CYGWIN} )

if( ${WIN32} )
  list(APPEND _C_SOURCES_ win32/hydrasdr.rc)
endif()

if(MINGW)
  # This gets us DLL resource information when compiling on MinGW.
  if(NOT CMAKE_RC_COMPILER)
    set(CMAKE_RC_COMPILER windres.exe)
  endif()

  add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/hydrasdrrc.obj
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/hydrasdr.h
    COMMENT "Resource compiler used to generate hydrasdr.obj"
    COMMAND ${CMAKE_RC_COMPILER}
    -D GCC_WINDRES
    -I ${CMAKE_CURRENT_SOURCE_DIR}
    -I ${CMAKE_CURRENT_BINARY_DIR}
    -o ${CMAKE_CURRENT_BINARY_DIR}/hydrasdrrc.obj
    -i ${CMAKE_CURRENT_SOURCE_DIR}/win32/hydrasdr.rc)
  set(HYDRASDR_DLL_OBJS ${CMAKE_CURRENT_BINARY_DIR}/hydrasdrrc.obj)
  SET_SOURCE_FILES_PROPERTIES(
    ${HYDRASDR_DLL_OBJS}
    PROPERTIES
    EXTERNAL_OBJECT true
    GENERATED true)
endif(MINGW)

# Settings common for shared and static libraries
function(libhydrasdr_common_settings libtarget)
  set_target_properties(${libtarget} PROPERTIES CLEAN_DIRECT_OUTPUT 1)

  target_include_directories(
    ${libtarget} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/libhydrasdr>)

  # Dependencies
  target_link_libraries(${libtarget} PRIVATE LIBUSB::LIBUSB Threads::Threads)

  if( ${UNIX} )
    install(TARGETS ${libtarget} EXPORT HydraSDRTargets
      LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
      COMPONENT sharedlibs)
  endif( ${UNIX} )
  if( ${WIN32} )
    if( THREADS_PTHREADS_WIN32_LIBRARY )
      target_link_libraries(${libtarget} PRIVATE ${THREADS_PTHREADS_WIN32_LIBRARY} )
    endif()
    if( THREADS_PTHREADS_INCLUDE_DIR )
      target_include_directories(${libtarget} PRIVATE ${THREADS_PTHREADS_INCLUDE_DIR})
    endif()
    target_include_directories(${libtarget} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/win32 )
    install(TARGETS ${libtarget} EXPORT HydraSDRTargets
      DESTINATION bin
      COMPONENT sharedlibs)
  endif( ${WIN32} )
endfunction()

# Dynamic library
if(ENABLE_SHARED_LIB)
  add_library(hydrasdr SHARED ${_C_SOURCES_} ${HYDRASDR_DLL_OBJS})
  set_target_properties(hydrasdr PROPERTIES VERSION
    ${HYDRASDR_VER_MAJOR}.${HYDRASDR_VER_MINOR}.${HYDRASDR_VER_REVISION}
  )
  set_target_properties(hydrasdr PROPERTIES SOVERSION 0)
  libhydrasdr_common_settings(hydrasdr)
  generate_export_header(hydrasdr)
  if( ${WIN32} )
    set_target_properties(hydrasdr PROPERTIES
      RUNTIME_OUTPUT_DIRECTORY_RELEASE ../../hydrasdr-tools/src)
  endif( ${WIN32} )
endif()

# Static library
if(ENABLE_STATIC_LIB)
  add_library(hydrasdr_static STATIC ${_C_SOURCES_} ${HYDRASDR_DLL_OBJS})
  libhydrasdr_common_settings(hydrasdr_static)
  if(MSVC)
    set_target_properties(hydrasdr_static PROPERTIES
      OUTPUT_NAME "hydrasdr_static")
  else()
    set_target_properties(hydrasdr_static PROPERTIES
      OUTPUT_NAME "hydrasdr")
  endif()
endif()

install(FILES ${_C_HEADERS_}
  # ${CMAKE_CURRENT_BINARY_DIR}/hydrasdr_export.h
  DESTINATION include/${PROJECT_NAME}
  COMPONENT headers
)

=== debian/changelog ===
rfone-host (1.0.3-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 20 Oct 2025 22:49:03 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                pkgconf
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://www.hydrasdr.com
+Homepage: https://hydrasdr.com
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rfone-host
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rfone-host.git
 
@@ -18,7 +18,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, libhydrasdr0 (= ${binary:Version}), ${misc:Depends}
-Description: HF+VHF software defined radio receiver - user runtime
+Description: HydraSDR RFOne software defined radio receiver - user runtime
  HydraSDR RFOne is an open source Software Defined Radio that can
  receive 24-1850 MHz.
  It is a High Speed USB device powered by the USB bus.
@@ -36,7 +36,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libhydrasdr0 (= ${binary:Version}), ${misc:Depends}
-Description: HF+VHF software defined radio receiver - development
+Description: HydraSDR RFOne software defined radio receiver - development
  HydraSDR RFOne is an open source Software Defined Radio that can
  receive 24-1850 MHz.
  It is a High Speed USB device powered by the USB bus.
@@ -49,7 +49,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
-Description: HF+VHF software defined radio receiver - library
+Description: HydraSDR RFOne software defined radio receiver - library
  HydraSDR RFOne is an open source Software Defined Radio that can
  receive 24-1850 MHz.
  It is a High Speed USB device powered by the USB bus.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rfone-host_$1.orig.tar.gz%" \
 https://github.com/hydrasdr/rfone_host/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
